classification
Title: traceback on trying to load a hotshot stats file
Type: behavior Stage: test needed
Components: Extension Modules Versions: Python 2.6
process
Status: closed Resolution: duplicate
Dependencies: Superseder: hotshot.stats.load fails with AssertionError
View: 900092
Assigned To: Nosy List: BreamoreBoy, amaury.forgeotdarc, nanotube
Priority: normal Keywords:

Created on 2005-09-25 01:46 by nanotube, last changed 2010-08-22 01:03 by BreamoreBoy. This issue is now closed.

Files
File name Uploaded Description Edit
pyk.prof nanotube, 2005-09-25 01:46
Messages (3)
msg26393 - (view) Author: nanotube (nanotube) Date: 2005-09-25 01:46
When trying to load a file generated by hotshotmain.py
(attached), generates the following traceback:

Python 2.4.1 (#65, Mar 30 2005, 09:13:57) [MSC v.1310
32 bit (Intel)] on win32
Type "help", "copyright", "credits" or "license" for
more information.
>>> import hotshot.stats
>>> hotshot.stats.load("pyk.prof")
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "C:\Python24\lib\hotshot\stats.py", line 12, in load
    return StatsLoader(filename).load()
  File "C:\Python24\lib\hotshot\stats.py", line 51, in load
    assert not self._stack
AssertionError

This happened with both python 2.4.1 and with python
2.4.2 rc 1 on windows (just downloaded).

Seems similar to bug [ 900092 ] hotshot.stats.load 
(link:
https://sourceforge.net/tracker/?func=detail&atid=105470&aid=900092&group_id=5470
)
but according to that, bug has been closed, and patch
has been applied to python 2.4.2. not sure if that
applies also to 2.4.2 rc1

Attaching the output file that caused it.
msg89977 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-07-01 14:00
It was indeed fixed with 2.4.2, but this does not correct the invalid
statistics generated with 2.4.1.
Running hotshotmain.py with a newer version should generate a correct file.
msg114628 - (view) Author: Mark Lawrence (BreamoreBoy) Date: 2010-08-22 01:03
Hotshot is unmaintained and has been removed from py3k.
History
Date User Action Args
2010-08-22 01:03:24BreamoreBoysetstatus: open -> closed
nosy: + BreamoreBoy
messages: + msg114628

2009-07-01 14:00:42amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg89977

dependencies: - hotshot.stats.load fails with AssertionError
superseder: hotshot.stats.load fails with AssertionError
resolution: duplicate
2009-03-20 22:35:11ajaksu2setstage: test needed
dependencies: + hotshot.stats.load fails with AssertionError
type: behavior
components: + Extension Modules, - Library (Lib)
versions: + Python 2.6, - Python 2.4
2005-09-25 01:46:11nanotubecreate